package com.szpg.plc.message.command.read;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.ReadMemoryCommand;
import com.szpg.plc.message.response.read.ReadZmRtCommandResponse;

public class ReadZmRtCommand extends ReadMemoryCommand {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4085626108733700995L;

	@Override
	public Class<ReadZmRtCommandResponse> getResponseClass() {
		return ReadZmRtCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送查询照明累计运行时长命令";
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_READZMRUNTIME;
	}

}
